﻿using Infragistics.Controls.Charts;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XamDataChartClearAxisDemo
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        CategoryXAxis catXAxis;
        CategoryDateTimeXAxis catDTXAxis;
        NumericYAxis yAxis;
        TimeXAxis timeXAxis;
        LineSeries series;

        ViewModel vm = new ViewModel();
        public MainWindow()
        {
            InitializeComponent();
           
            catXAxis = new CategoryXAxis() { ItemsSource = vm.Data, Label = "{Date}" };
            timeXAxis = new TimeXAxis() { ItemsSource = vm.Data, Label = "{Date}", DateTimeMemberPath = "Date" };
            catDTXAxis = new CategoryDateTimeXAxis() { ItemsSource = vm.Data, Label = "{Date}", DateTimeMemberPath = "Date" };
            yAxis = new NumericYAxis();

            //CreateTimeXAxisChart();
            //CreateCategoryXAxisChart();
            CreateCategoryDateTimeXAxisChart();
        }

        public void CreateTimeXAxisChart()
        {
            series = new LineSeries() { XAxis = timeXAxis, YAxis = yAxis, ItemsSource = vm.Data, ValueMemberPath = "Value" };

            chart.Axes.Add(timeXAxis);
            chart.Axes.Add(yAxis);

            chart.Series.Add(series);
        }

        public void CreateCategoryXAxisChart()
        {
            series = new LineSeries() { XAxis = catXAxis, YAxis = yAxis, ItemsSource = vm.Data, ValueMemberPath = "Value" };

            chart.Axes.Add(catXAxis);
            chart.Axes.Add(yAxis);

            chart.Series.Add(series);
        }

        public void CreateCategoryDateTimeXAxisChart()
        {
            series = new LineSeries() { XAxis = catDTXAxis, YAxis = yAxis, ItemsSource = vm.Data, ValueMemberPath = "Value" };

            chart.Axes.Add(catDTXAxis);
            chart.Axes.Add(yAxis);

            chart.Series.Add(series);
        }

        private void clearBtn_Click(object sender, RoutedEventArgs e)
        {
            chart.Series.Clear();
            catXAxis.ItemsSource = null;
            catDTXAxis.ItemsSource = null;

            try
            {
                timeXAxis.ItemsSource = null;
            }
            catch(Exception ex)
            {

            }
        }
    }
}
